## org.apache.batik.util
Class RunnableQueue.Link

    java.lang.Object
      org.apache.batik.util.DoublyLinkedList.Node
          org.apache.batik.util.RunnableQueue.Link

Direct Known Subclasses:
  RunnableQueue.LockableLink

Enclosing class:
  RunnableQueue

    protected static class RunnableQueue.Link

extends DoublyLinkedList.Node

To store a Runnable.

Constructor Summary
`RunnableQueue.Link(java.lang.Runnable r)` Creates a new link.

Method Summary
`void` `unlock()` unlock link and notify locker.

Methods inherited from class org.apache.batik.util.DoublyLinkedList.Node
`getNext, getPrev, insertBefore, setNext, setPrev, unlink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunnableQueue.Link

    public RunnableQueue.Link(java.lang.Runnable r)

  Creates a new link.

Method Detail

### unlock

    public void unlock()

  unlock link and notify locker. Basic implementation does nothing.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.